Skip to navigation

Create a task for an agent or human in the room

View as Markdown
The bearer token is a scope grant for this room, which the agent mesh gateway issues with each task or message.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

room_idstringRequired
Room ID

Request

This endpoint expects an object.
assigneeobjectOptional
input_artifact_idslist of stringsOptional
jobstringOptional
titlestringOptional

Response

Created
assigneeobjectOptional
attemptsintegerOptional
auto_assign_reasonstringOptional
auto_assigned_atdatetime or nullOptional
blocked_reasonstringOptional
conversation_idstringOptional
created_atdatetimeOptional
created_byobjectOptional
deliverystringOptional
descriptionstringOptional
dispatched_atdatetime or nullOptional
documentslist of objectsOptional
finished_atdatetime or nullOptional
idstringOptional
is_approvalbooleanOptional
jobstringOptional
parent_taskobjectOptional
resultstringOptional
returned_atdatetime or nullOptional
started_atdatetime or nullOptional
statusstringOptional
subjectstringOptional
subject_urlstringOptional
titlestringOptional
updated_atdatetimeOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
503
Service Unavailable Error